Bug 269968 - debugger continues from unexpected breakpoint place after tooltip evaluation
debugger continues from unexpected breakpoint place after tooltip evaluation
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
Dev
All All
: P2 (vote)
: 8.2
Assigned To: Maria Tishkova
issues@cnd
82patch2-candidate
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-02 14:00 UTC by Vladimir Voskresensky
Modified: 2017-06-05 11:55 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
log when debugger stops at not-requested places (206.28 KB, text/x-log)
2017-03-02 14:01 UTC, Vladimir Voskresensky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Voskresensky 2017-03-02 14:00:47 UTC
Tooltip doesn't show value if selected expression has function call (CheckFallThrough) in which I have breakpoint
Displayed like: CheckFallThrough(AC)=
I tried multiple times...
After that the next step stopped me multiple times in fun_call.
Looks like we hit breakpoints when evaluate expression

when I removed breakpoint from inside fun_call
Displayed like: CheckFallThrough(AC)=NeverFallThrough
Comment 1 Vladimir Voskresensky 2017-03-02 14:01:30 UTC
Created attachment 163748 [details]
log when debugger stops at not-requested places
Comment 2 Maria Tishkova 2017-03-02 15:06:50 UTC
Ok, cause known. The breakpoints are disabled but enabled back to earlier.
Comment 3 Maria Tishkova 2017-03-05 18:44:43 UTC
fixed in enum/release82 - should be transplanted into the trunk and releases(release82)

changeset:   314366:68ae5f7c9e77
branch:      release82
tag:         tip
user:        Maria Dalmatova <mromashova@netbeans.org>
date:        Sun Mar 05 21:01:52 2017 +0300
summary:     added fix for bz#269968 - spec versions incrementation

changeset:   314365:e6cb07b87a0b
branch:      release82
user:        Maria Dalmatova <mromashova@netbeans.org>
date:        Sun Mar 05 21:01:52 2017 +0300
summary:     fixed bz#269968 - debugger continues from unexpected breakpoint place after tooltip evaluation
Comment 4 Quality Engineering 2017-03-07 02:48:07 UTC
Integrated into 'main-silver', will be available in build *201703070002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/1224d68005a7
User: Maria Dalmatova <mromashova@netbeans.org>
Log: fixed bz#269968 - debugger continues from unexpected breakpoint place after tooltip evaluation
also added small fix to bz#269898 - will call var-update all-values only if watches window is opened or editor contains pinned tootips
and restoreWatches is invoked only if watches window is opened or current editor contains pinned tooltips
(transplanted from e6cb07b87a0b5506f3db4bb59a93e8b3d5b23ac2)
Comment 5 ilia 2017-04-13 10:47:51 UTC
https://netbeans.org/bugzilla/show_bug.cgi?id=269968 Changesets:
    http://hg.netbeans.org/releases/rev/e6cb07b87a0b # fixed bz#269968 - debugger continues from unexpected breakpoint place after tooltip evaluation
    http://hg.netbeans.org/releases/rev/68ae5f7c9e77 # added fix for bz#269968 - spec versions incrementation
Comment 6 Alexander Pepin 2017-04-24 11:21:09 UTC
Verified in in netbeans-8.2-20170421.

But the same problem occurs while watches evaluation, the debugger stops at the breakpoint in "watched expression" after any debugger step.
Comment 7 Maria Tishkova 2017-04-27 15:18:51 UTC
added fix for watches in enum/release82
changeset:   315749:75894d418298
branch:      release82
tag:         tip
parent:      315717:2a0ed323e56e
user:        Maria Dalmatova <mromashova@netbeans.org>
date:        Thu Apr 27 18:17:55 2017 +0300
Comment 8 Alexander Pepin 2017-04-27 16:47:11 UTC
Nominated for the patch again.
Comment 9 Quality Engineering 2017-05-05 01:46:33 UTC
Integrated into 'main-silver', will be available in build *201705050001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/87a04d6d6186
User: Maria Dalmatova <mromashova@netbeans.org>
Log: fixed bz#248868 - NullPointerException at org.netbeans.modules.cnd.debugger.gdb2.GdbDebuggerImpl.interpUpdate
fixed bz#270494 - Wrong variable values if user opens Disassembly tab
fixed bz#269968 - debugger continues from unexpected breakpoint place after tooltip evaluation
(transplanted from 75894d418298108045809b0de3d54d3d2171c53a)
Comment 10 Jiri Kovalsky 2017-06-05 08:24:31 UTC
Has this been fixed fully in release82 branch or not?
Comment 11 Vladimir Voskresensky 2017-06-05 11:55:22 UTC
Yes. Verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo